
Foreman - Bug #3869

API error messages poorly formatted

12/12/2013 02:22 PM - Thomas McKay

Status: Closed   

Priority: Normal   

Assignee: Daniel Lobato Garcia   

Category: API   

Target version: 1.4.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

GET /api/users with an unauthorized user returns in the json below. Note the missing 'results' keyword.

{

"total": 0,

"subtotal": 0,

"page": 1,

"per_page": 20,

"search": null,

"sort": {

"by": null,

"order": null

},

"": {

"message": "Access denied",

"details": null

}

}

Related issues:

Related to Foreman - Feature #3011: default root name for api json index resp... Closed 09/02/2013

Related to Hammer CLI - Bug #4190: Fix error handling to match the updated ap... Closed 01/27/2014

Related to Foreman - Bug #4315: Hosts power management API doesn't return sta... New

History

#1 - 12/13/2013 08:41 AM - Dominic Cleal

- Related to Feature #3011: default root name for api json index response to :results but make it configurable added

#2 - 12/13/2013 08:41 AM - Dominic Cleal

- translation missing: en.field_release set to 2

#3 - 01/09/2014 02:31 PM - Anonymous

- Target version set to 1.9.2

#4 - 01/16/2014 01:02 AM - Daniel Lobato Garcia

Should we go for this? It seems to me that 403 is meaningful enough for the client not to even try to read 'results'.

#5 - 01/16/2014 08:34 AM - Dominic Cleal

Daniel Lobato Garcia wrote:

Should we go for this? It seems to me that 403 is meaningful enough for the client not to even try to read 'results'.

 I think so, because the message is valuable too for the reason, the client should be able to access it.
#6 - 01/17/2014 01:06 PM - Dominic Cleal

- Status changed from New to Assigned

- Assignee set to Daniel Lobato Garcia

#7 - 01/20/2014 12:37 PM - Dominic Cleal

- translation missing: en.field_release deleted (2)

#8 - 01/22/2014 10:47 AM - Daniel Lobato Garcia

https://github.com/theforeman/foreman/pull/1180

#9 - 01/22/2014 02:11 PM - Daniel Lobato Garcia

- Status changed from Assigned to Ready For Testing

#10 - 01/27/2014 01:33 PM - Dominic Cleal

- Related to Bug #4190: Fix error handling to match the updated api format added

#11 - 02/06/2014 12:11 PM - Anonymous

- Target version changed from 1.9.2 to 1.9.1

#12 - 02/11/2014 02:39 PM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- translation missing: en.field_release set to 2

Seems I put the wrong redmine number in the commit message (incorrectly #3960).

This was fixed in 0f7d219a4a65cd795eecd05117b08511d9025de2.

#13 - 02/11/2014 02:40 PM - Dominic Cleal

- % Done changed from 0 to 100

#14 - 02/11/2014 02:40 PM - Dominic Cleal

- Related to Bug #4315: Hosts power management API doesn't return standard error responses added
